package com.mosty.qwzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwQwdjEditDto;
import com.mosty.base.model.entity.qwzx.TbQwQwdj;
import com.mosty.base.model.query.qwzx.TbQwQwdjQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * <p>
 * 勤务等级表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
public interface TbQwQwdjService {

    @ApiOperation("新增勤务等级")
    int addQwdj(TbQwQwdj qwdj);

    @ApiOperation("查询勤务等级")
    IPage<TbQwQwdj> getQwdj(TbQwQwdjQuery qwdj, IPage<TbQwQwdj> page);

    @ApiOperation("编辑勤务等级")
    int editQwdj(TbQwQwdjEditDto qwdj);

    @ApiOperation("删除勤务等级")
    boolean deleteBatch(List<String> ids);

    @ApiOperation("id删除")
    boolean deleteById(String id);

    @ApiOperation("根据ID查询")
    TbQwQwdj selectById(String id);

    @ApiOperation("勤务等级发布")
    boolean publishQwdj(String id);

    @ApiOperation("查询当前勤务等级")
    TbQwQwdj queryCurrentQwdj(String dateTime);
}
